## pari 2.15.4

=== debian/changelog ===
pari (2.15.4-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:16:31 +1100

pari (2.15.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063210

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 23:24:56 +0000

pari (2.15.4-2) unstable; urgency=medium

  * New patch: usptream-forqfvec: from upstream, fix 32bit support

 -- Bill Allombert <ballombe@debian.org>  Wed, 12 Jul 2023 12:08:54 +0200

pari (2.15.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.6.2.

 -- Bill Allombert <ballombe@debian.org>  Mon, 10 Jul 2023 10:27:41 +0200
