## pari 2.15.5

=== debian/changelog ===
pari (2.15.5-1) unstable; urgency=medium

  * New upstream release.
    - patch upstream-forqfvec: removed, applied upstream

 -- Bill Allombert <ballombe@debian.org>  Tue, 26 Mar 2024 16:00:43 +0100
