=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Maintainer: Bill Allombert <ballombe@debian.org>
 Standards-Version: 4.6.2
 Homepage: http://pari.math.u-bordeaux.fr
 Rules-Requires-Root: no
