## pari 2.17.0

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pari
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libreadline-dev, libx11-dev, libgmp-dev,
+Build-Depends: debhelper-compat (= 13), libreadline-dev, libx11-dev, libgmp-dev,
                pari-galdata, pari-elldata, pari-seadata, pari-galpol, pari-nflistdata
 Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://pari.math.u-bordeaux.fr
 Rules-Requires-Root: no
 
@@ -33,9 +33,9 @@
 Package: libpari-dev
 Architecture: any
 Section: libdevel
-Provides: libpari-gmp-tls8-dev
-Depends: libpari-gmp-tls8t64 (= ${binary:Version}), libc-dev, ${misc:Depends}
-Suggests: libpari-gmp-tls8-dbgsym, pari-gp2c
+Provides: libpari-gmp-tls9-dev
+Depends: libpari-gmp-tls9 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Suggests: libpari-gmp-tls9-dbgsym, pari-gp2c
 Multi-Arch: same
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
@@ -52,10 +52,8 @@
  .
  This package contains the include files and static library.
 
-Package: libpari-gmp-tls8t64
+Package: libpari-gmp-tls9
 Provides: ${t64:Provides}
-Replaces: libpari-gmp-tls8
-Breaks: libpari-gmp-tls8 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
