=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 CC := `which $(CC)`
 endif
 
-libpkg = libpari-gmp-tls8t64
+libpkg = libpari-gmp-tls9
 libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 inctriplet = usr/include/$(DEB_HOST_MULTIARCH)
 
@@ -171,7 +171,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdocs -p pari-gp CHANGES-2.12 CHANGES-2.10 CHANGES-2.8
+	dh_installdocs -p pari-gp CHANGES-*
 	dh_installmenu
 	dh_installchangelogs CHANGES
 	dh_link
