## pari 2.17.1

=== debian/changelog ===
pari (2.17.1-1) unstable; urgency=medium

  * New upstream release.
    - patch: upstream-qfcvp: removed, applied upstream
  * debian/rules:
    - call dh_dwz -a
    - do not set mpc64 on i386

 -- Bill Allombert <ballombe@debian.org>  Fri, 27 Dec 2024 09:46:29 +0100

pari (2.17.0-2) unstable; urgency=medium

  * New patch: upstream-qfcvp: from usptream, fix prototype

 -- Bill Allombert <ballombe@debian.org>  Sun, 06 Oct 2024 15:51:53 +0200

pari (2.17.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Bill Allombert <ballombe@debian.org>  Mon, 30 Sep 2024 15:27:51 +0200
