=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,7 @@
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-ifeq ($(PARI_CPU),i386)
-CFLAGS_i386 := -mpc64
-endif
-
-CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing -ffp-contract=off $(CFLAGS_i386)
+CFLAGS_DBG = -g -O0 -Wall -fno-strict-aliasing -ffp-contract=off
 
 DBGMAP = -fdebug-prefix-map=$(CURDIR)=.
 LDFLAGS = -Wl,-z,relro
@@ -44,7 +40,7 @@
 CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
 CFLAGS_LTO = $(CFLAGS)
 else
-CFLAGS_NOMAP = -g -O3 -Wall -fno-strict-aliasing -ffp-contract=off $(CFLAGS_i386)
+CFLAGS_NOMAP = -g -O3 -Wall -fno-strict-aliasing -ffp-contract=off
 CFLAGS = $(CFLAGS_NOMAP) $(DBGMAP)
 CFLAGS_LTO = $(CFLAGS) -flto
 endif
@@ -159,6 +155,7 @@
 	install -p -m 644 obj-dbg/pari.cfg.deb debian/libpari-dev/$(libtriplet)/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
+	dh_dwz -a
 	dh_strip -a
 	dh_makeshlibs -a -V '$(libpkg)'
 	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
