## pari 2.17.2

=== debian/changelog ===
pari (2.17.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.2.
    - Homepage: use https.
  * debian/rules:
    - disable test-export to work around bug #1099624

 -- Bill Allombert <ballombe@debian.org>  Fri, 07 Mar 2025 14:15:12 +0100
