=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pari
-Build-Depends: debhelper-compat (= 13), libreadline-dev, libx11-dev, libgmp-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libreadline-dev, libx11-dev, libgmp-dev,
                pari-galdata, pari-elldata, pari-seadata, pari-galpol, pari-nflistdata
 Build-Depends-Indep: texlive-base, texlive-latex-base
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 4.7.0
-Homepage: http://pari.math.u-bordeaux.fr
+Standards-Version: 4.7.2
+Homepage: https://pari.math.u-bordeaux.fr
 Rules-Requires-Root: no
 
 Package: pari-gp
