## pari 2.17.3~pre1

=== debian/changelog ===
pari (2.17.3~pre1-1) experimental; urgency=medium

  * New upstream prerelease.
  * debian/watch: use format 4

 -- Bill Allombert <ballombe@debian.org>  Tue, 11 Nov 2025 19:20:01 +0100
