=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 config-stamp:
 	mkdir -p debian/path && ln -s $(CC) debian/path/cc
 	dh_testdir
+	#Work-around bug 1099624
+	rm -f src/test/in/export
 	CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread\
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
