=== debian/watch ===
# Site				Directory	Pattern		Version	Script
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pari.math.u-bordeaux.fr/pub/pari/unix/pari-(.*)\.tar\.gz	debian	uupdate
