## pari 2.17.3

=== debian/changelog ===
pari (2.17.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: use format 4
  * debian/rules:
    - reenable test-export
    - make install-* to depend on build-*-stamp. Closes: #1105504

 -- Bill Allombert <ballombe@debian.org>  Mon, 24 Nov 2025 20:02:59 +0100
