=== debian/rules ===
--- 
+++ 
@@ -63,8 +63,6 @@
 config-stamp:
 	mkdir -p debian/path && ln -s $(CC) debian/path/cc
 	dh_testdir
-	#Work-around bug 1099624
-	rm -f src/test/in/export
 	CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DLLDFLAGS="$(LDFLAGS)" \
 	  ./Configure --mt=pthread\
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
@@ -128,7 +126,7 @@
 	dh_clean -Xnumber_theoretical/core
 
 install: install-indep install-arch
-install-indep:
+install-indep: build-indep-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep -i -Xnumber_theoretical/core
@@ -138,7 +136,7 @@
 	dh_installman -i
 	dh_installexamples -i
 
-install-arch:
+install-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep -a -Xnumber_theoretical/core
